Package lxml :: Package html :: Module formfill

[hide private]
[frames] | no frames]

# Module formfill

source code

Classes | [hide private]

| FormNotFound Raised when no form can be found
| DefaultErrorCreator

Functions | [hide private]

fill_form(el, values, form_id=None, form_index=None) | source code

fill_form_html(html, values, form_id=None, form_index=None) | source code

_fill_form(el, values) | source code

_takes_multiple(input) | source code

_fill_multiple(input, value) | source code

_check(el, check) | source code

_select(el, select) | source code

_fill_single(input, value) | source code

_find_form(el, form_id=None, form_index=None) | source code

_find_form_ids(el) | source code

insert_errors(el, errors, form_id=None, form_index=None, error_class=`'``error``'`, error_creator=default_error_creator) | source code

insert_errors_html(html, values, **kw) | source code

_insert_error(el, error, error_class, error_creator) | source code

_add_class(el, class_name) | source code

_find_elements_for_name(form, name, error) | source code

Variables | [hide private]

| _form_name_xpath = `descendant-or-self::form[name=$name]|descen`...``
| _input_xpath = `descendant-or-self::input|descendant-or-self::s`...``
| _label_for_xpath = `//label[@for=$for_id]|//x:label[@for=$for_id]`
| _name_xpath = `descendant-or-self::*[@name=$name]`
| default_error_creator = `default_error_creator`
| __package__ = ``'``lxml.html``'``
| _tag = ``'``x:textarea``'``

Variables Details | [hide private]

### _form_name_xpath

Value:

      descendant-or-self::form[name=$name]|descendant-or-self::x:form[name=$
      name]

### _input_xpath

Value:

      descendant-or-self::input|descendant-or-self::select|descendant-or-sel
      f::textarea|descendant-or-self::x:input|descendant-or-self::x:select|d
      escendant-or-self::x:textarea